Developer Products (v1)
OpenCloud v1 reference for Developer Products.
Base URL: https://apis.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST | /developer-products/v2/universes/:universeId/developer-products | postDeveloperProductsV2UniversesUniverseIdDeveloperProducts |
PATCH | /developer-products/v2/universes/:universeId/developer-products/:productId | patchDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductId |
GET | /developer-products/v2/universes/:universeId/developer-products/:productId/creator | getDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductIdCreator |
GET | /developer-products/v2/universes/:universeId/developer-products/creator | getDeveloperProductsV2UniversesUniverseIdDeveloperProductsCreator |
postDeveloperProductsV2UniversesUniverseIdDeveloperProducts
Section titled “postDeveloperProductsV2UniversesUniverseIdDeveloperProducts”POST /developer-products/v2/universes/:universeId/developer-products
BETA Creates a new developer product with the provided configuration details. Engine: Not available in-engine
Scopes: developer-product:write
Usage
import { fetchApi } from 'rozod';import { postDeveloperProductsV2UniversesUniverseIdDeveloperProducts } from 'rozod/lib/opencloud/v1/developer-products';
const data = await fetchApi(postDeveloperProductsV2UniversesUniverseIdDeveloperProducts, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | The universe ID. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name | string | |
description | string | null | undefined | |
isForSale | boolean | null | undefined | |
price | number | null | undefined | |
imageFile | File | null | undefined | |
isRegionalPricingEnabled | boolean | null | undefined |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
productId | number | |
name | string | |
description | string | |
iconImageAssetId | number | null | |
universeId | number | |
isForSale | boolean | |
storePageEnabled | boolean | |
priceInformation | object | null | See below |
isImmutable | boolean | |
createdTimestamp | string | |
updatedTimestamp | string |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux | number | null | |
enabledFeatures | `“Invalid" | "PriceOptimization" |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
patchDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductId
Section titled “patchDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductId”PATCH /developer-products/v2/universes/:universeId/developer-products/:productId
BETA Updates a developer product with the provided configuration details. Note that only fields provided in the request will be updated. Engine: Not available in-engine
Scopes: developer-product:write
Usage
import { fetchApi } from 'rozod';import { patchDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductId } from 'rozod/lib/opencloud/v1/developer-products';
const data = await fetchApi(patchDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductId, { universeId: /* integer */, productId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | The universe ID. |
productId | integer | Yes | The product ID of the developer product. |
Request Body
Section titled “Request Body”All fields are optional (PATCH partial update)
| Field | Type | Description |
|---|---|---|
name | string | null | |
description | string | null | |
isForSale | boolean | null | |
price | number | null | |
imageFile | File | null | |
isRegionalPricingEnabled | boolean | null | |
storePageEnabled | boolean | null |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 409 | Conflict |
getDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductIdCreator
Section titled “getDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductIdCreator”GET /developer-products/v2/universes/:universeId/developer-products/:productId/creator
BETA Get developer product with configuration details Engine: Not available in-engine
Scopes: developer-product:read
Usage
import { fetchApi } from 'rozod';import { getDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductIdCreator } from 'rozod/lib/opencloud/v1/developer-products';
const data = await fetchApi(getDeveloperProductsV2UniversesUniverseIdDeveloperProductsProductIdCreator, { universeId: /* integer */, productId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | The universe ID. |
productId | integer | Yes | The product ID of the developer product. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
productId | number | |
name | string | |
description | string | |
iconImageAssetId | number | null | |
universeId | number | |
isForSale | boolean | |
storePageEnabled | boolean | |
priceInformation | object | null | See below |
isImmutable | boolean | |
createdTimestamp | string | |
updatedTimestamp | string |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux | number | null | |
enabledFeatures | `“Invalid" | "PriceOptimization" |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
getDeveloperProductsV2UniversesUniverseIdDeveloperProductsCreator
Section titled “getDeveloperProductsV2UniversesUniverseIdDeveloperProductsCreator”GET /developer-products/v2/universes/:universeId/developer-products/creator
BETA List developer products by universe with configuration details Engine: Not available in-engine
Scopes: developer-product:read
Usage
import { fetchApi } from 'rozod';import { getDeveloperProductsV2UniversesUniverseIdDeveloperProductsCreator } from 'rozod/lib/opencloud/v1/developer-products';
const data = await fetchApi(getDeveloperProductsV2UniversesUniverseIdDeveloperProductsCreator, { universeId: /* integer */, pageSize: /* integer? */, pageToken: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | The universe ID. |
pageSize | integer? | No | The number of results to return. Defaults to 50. |
pageToken | string? | No | The cursor token for pagination. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
developerProducts | object[] | See below |
nextPageToken | string | null |
developerProducts[] item fields:
| Field | Type | Description |
|---|---|---|
productId | number | |
name | string | |
description | string | |
iconImageAssetId | number | null | |
universeId | number | |
isForSale | boolean | |
storePageEnabled | boolean | |
priceInformation | object | null | See below |
isImmutable | boolean | |
createdTimestamp | string | |
updatedTimestamp | string |
priceInformation fields:
| Field | Type | Description |
|---|---|---|
defaultPriceInRobux | number | null | |
enabledFeatures | `“Invalid" | "PriceOptimization" |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |